Skip to main content

Create Free Domain

Create a free subdomain under the CampaignLark shared domain.


Endpoint​

POST https://api.campaignlark.com/v1/domains/create/free

Request Body​

FieldTypeRequiredDescription
subdomainstringrequiredThe subdomain prefix to use.

Sample Request​

POST https://api.campaignlark.com/v1/domains/create/free
Content-Type: application/json

{
"subdomain": "mystore"
}

Response​

Success — 201 Created​

Returns the created domain object (see Domain Object).


Errors​

StatusMessageCause
400Invalid request body.Request body could not be parsed.
400Various validation errorsSubdomain is invalid, already taken, etc.